package com.bcxin.flink.core.utils;
import com.bcxin.flink.core.dtos.DebeziumJsonNodeDto;
import com.fasterxml.jackson.databind.JsonNode;
import org.apache.commons.lang3.StringUtils;

public class DebeziumJsonNodeDtoUtils {
    public static DebeziumJsonNodeDto translate(JsonNode ix, String pkName)
    {
        String op = ix.get("op").asText();
        JsonNode after = ix.get("after");
        JsonNode idNode = JsonNodeUtils.getSubJsonNodeByName(after, pkName);
        String id = null;
        if (idNode != null) {
            id = idNode.isNumber() ? String.valueOf(idNode.asLong()) : idNode.asText();
        }


        JsonNode before = ix.get("before");
        JsonNode source = ix.get("source");
        Long ts_ms = ix.get("ts_ms").asLong();

        if (StringUtils.isEmpty(id) && "d".equalsIgnoreCase(op)) {
            idNode = JsonNodeUtils.getSubJsonNodeByName(before, pkName);
            if (idNode != null) {
                id = idNode.isNumber() ? String.valueOf(idNode.asLong()) : idNode.asText();
            }
        }

        return DebeziumJsonNodeDto.create(id, op, ts_ms, before, after, source);
    }
}
