package com.bcxin.tenant.flink.job.functions;

import org.apache.flink.table.annotation.DataTypeHint;
import org.apache.flink.table.functions.ScalarFunction;

public class Convert2PointFunction extends ScalarFunction {
    public @DataTypeHint("VARCHAR") String eval(String... values) {
        if (values.length < 2) {
            return null;
        }

        String lonString = values[0];
        String latString = values[1];

        double lon = 1;
        double lat = 1;
        try {
            lon = Double.valueOf(lonString);
            lat = Double.valueOf(latString);
        } catch (Exception ex) {
            return null;
        }

        return String.format("{\"lat\":%s,\"lon\":%s}", lat, lon);
    }
}
